import traceback

from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC
from cpl_core.console import Console


class ServerSettings(ConfigurationModelABC):

    def __init__(self):
        ConfigurationModelABC.__init__(self)

        self._id: int = ''

    @property
    def id(self) -> str:
        return self._id

    def from_dict(self, settings: dict):
        try:
            self._id = settings['Id']
        except Exception as e:
            Console.error(f'[ ERROR ] [ {__name__} ]: Reading error in settings')
            Console.error(f'[ EXCEPTION ] [ {__name__} ]: {e} -> {traceback.format_exc()}')
